<?php

namespace Daylight\Core\Modules\Admin\View\Composers;

use Daylight\Core\Modules\Admin\Registries\NavigationRegistry;
use Illuminate\View\View;

class NavigationViewComposer
{
    public function __construct(
        protected NavigationRegistry $navigation,
    ) {
        //
    }

    public function compose(View $view): void
    {
        $view->with('navigationItems', $this->navigation->all());
    }
}
